/realms/{realmId}/organizations/{organizationId}/wallets/{walletId}/pix-dict
curl --request POST \
--url https://api.platform.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/wallets/{walletId}/pix-dict \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "<string>"
}
'import requests
url = "https://api.platform.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/wallets/{walletId}/pix-dict"
payload = { "value": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: '<string>'})
};
fetch('https://api.platform.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/wallets/{walletId}/pix-dict', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"name": "<string>",
"organization": "<string>",
"realm": "<string>",
"status": "ACTIVE",
"type": "PERSONAL",
"external": {
"account": "<string>",
"wallet": "<string>",
"productId": "<string>"
},
"currency": "784",
"shared": [
{
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"role": "OWNER"
}
],
"settings": {
"payment": {
"pix": true,
"bankSlip": true,
"card": true
}
},
"dict": {
"id": "<string>",
"type": "<string>",
"value": "<string>",
"status": "<string>"
},
"customFields": {}
}PIX Keys (DICT)
/realms/{realmId}/organizations/{organizationId}/wallets/{walletId}/pix-dict
POST
/
realms
/
{realmId}
/
organizations
/
{organizationId}
/
wallets
/
{walletId}
/
pix-dict
/realms/{realmId}/organizations/{organizationId}/wallets/{walletId}/pix-dict
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
201 - application/json
Successful response
Available options:
ACTIVE, PENDING, BLOCKED, CANCELLING, CANCELLED, REPROVED, FRAUD_ANALYSIS, FRAUD_CONFIRMED Available options:
PERSONAL, ORGANIZATION, SHARED, VEHICLE Show child attributes
Show child attributes
Available options:
784, 971, 008, 051, 973, 032, 036, 533, 944, 977, 052, 050, 048, 108, 060, 096, 068, 984, 986, 044, 064, 072, 933, 084, 124, 976, 947, 756, 948, 990, 152, 156, 170, 970, 188, 192, 132, 203, 262, 208, 214, 012, 818, 232, 230, 978, 242, 238, 826, 981, 936, 292, 270, 324, 320, 328, 344, 340, 332, 348, 360, 376, 356, 368, 364, 352, 388, 400, 392, 404, 417, 116, 174, 408, 410, 414, 136, 398, 418, 422, 144, 430, 426, 434, 504, 498, 969, 807, 104, 496, 446, 929, 480, 462, 454, 484, 979, 458, 943, 516, 566, 558, 578, 524, 554, 512, 590, 604, 598, 608, 586, 985, 600, 634, 946, 941, 643, 646, 682, 090, 690, 938, 752, 702, 654, 925, 706, 968, 728, 930, 222, 760, 748, 764, 972, 934, 788, 776, 949, 780, 901, 834, 980, 800, 840, 997, 940, 858, 927, 860, 926, 928, 704, 548, 882, 396, 950, 961, 959, 955, 956, 957, 958, 951, 532, 960, 952, 964, 953, 962, 994, 963, 965, 999, 886, 710, 967, 924 Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes